Model MatchHelp

CRM

Filter a list's members by entity attributes (read)

postapi.modelmatch.com/v1/crm/lists/{id}/filter-members

Authorization

x-api-keystringrequired

API key or OAuth token. See Authentication.

Path parameters

idstringrequired

Body application/json

filterobjectrequired
Show child attributes
companyNmlsIdstring[]
entityTypeenum[]
Options:loagentcompanybranch
statestring[]
unitsobject
Show child attributes
gtenumber
ltenumber
volumeobject
Show child attributes
gtenumber
ltenumber
limitinteger

Responses

200objectMatching member entity ids.
Show attributes
dataobjectrequired
Show child attributes
entityIdsstring[]required
400objectValidation error
401objectUnauthorized
403objectForbidden (authenticated, but missing required context — e.g. no active organization)
404objectNot found
413objectResponse payload too large — detail endpoint capped to fit Lambda response limits
503objectSearch timed out or the cluster is overloaded — retry after `Retry-After` seconds.